Page MenuHomePhabricator

copies: use dedicated `_revinfo_getter` function and call
ClosedPublic

Authored by marmoute on Sep 28 2020, 12:32 PM.

Details

Summary

We want to return data in a different form, so we need different revinfo
function. At that point it make sense to have different getter.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Sep 28 2020, 12:32 PM
Alphare accepted this revision.Oct 1 2020, 12:08 PM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
mercurial/copies.py
423

Typo, extra "i" at the end (if I didn't know you used vim, it would have been my guess ;))

pulkit accepted this revision.Oct 6 2020, 4:21 AM
This revision is now accepted and ready to land.Oct 6 2020, 4:21 AM